E-Ticaret

gift-options

4 endpoints · /api/shop/v1/gift-options

Request examples are generated from each endpoint's REAL method and path. 4 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

GET/api/shop/v1/admin/gift-options

List admin

Oturum
İstek
curl -X GET "https://{slug}.shop.blesyum.app/api/shop/v1/admin/gift-options" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/shop/v1/admin/gift-options

Create option

Oturum
İstek
curl -X POST "https://{slug}.shop.blesyum.app/api/shop/v1/admin/gift-options" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/shop/v1/admin/gift-options/{id}/active

Set active

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.shop.blesyum.app/api/shop/v1/admin/gift-options/<id>/active" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/shop/v1/storefront/gift-options

List storefront

Oturum
İstek
curl -X GET "https://{slug}.shop.blesyum.app/api/shop/v1/storefront/gift-options" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?